﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Interactions;

namespace LikeXamBrowserEx
{
    /// <summary>
    /// Interaction logic for UserControl1.xaml
    /// </summary>
    public partial class UserControl1 : UserControl
    {

        Infragistics.Controls.Interactions.XamDialogWindow winMB;
        public UserControl1()
        {
            InitializeComponent();
        }

        private void NoModalWindow_Click(object sender, RoutedEventArgs e)
        {

        }

        private void NoModalWindowMessageBox_Click(object sender, RoutedEventArgs e)
        {
            winMB = new Infragistics.Controls.Interactions.XamDialogWindow() { Width = 350, Height = 300, Header = "Prompt", StartupPosition= Infragistics.Controls.Interactions.StartupPosition.Center };

            Button ok = new Button() { Content = "OK", Width = 100, Height = 25 };
            Button cancel = new Button() { Content = "Cancel", Width = 100, Height = 25 };
            ok.Click += new RoutedEventHandler(ok_Click);
            cancel.Click += new RoutedEventHandler(cancel_Click);

            StackPanel panel = new StackPanel();
            panel.Orientation = Orientation.Horizontal;
            panel.Children.Add(ok);
            panel.Children.Add(cancel);
            panel.VerticalAlignment = VerticalAlignment.Bottom;
            panel.HorizontalAlignment = HorizontalAlignment.Center;
            panel.Margin = new Thickness(5);

            winMB.Content = panel;
            winMB.IsModal = true;
            winMB.StartupPosition = Infragistics.Controls.Interactions.StartupPosition.Center;
            this.windowContainer.Children.Add(winMB);
        }

        void cancel_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("You pressed Cancel");
            this.winMB.Close();
        }

        void ok_Click(object sender, RoutedEventArgs e)
        {

            MessageBox.Show("You pressed OK");
            this.winMB.Close();
        }
    }
}
